base-compat-0.10.5: A compatibility layer for base

Safe Haskell | Safe
Language | Haskell98

Foreign.Marshal.Alloc.Compat

Synopsis

- module Foreign.Marshal.Alloc
- calloc :: Storable a => IO (Ptr a)
- callocBytes :: Int -> IO (Ptr a)

# Documentation

module Foreign.Marshal.Alloc

calloc :: Storable a => IO (Ptr a) Source #

Like `malloc` but memory is filled with bytes of value zero.

callocBytes :: Int -> IO (Ptr a) Source #

Llike `mallocBytes` but memory is filled with bytes of value zero.